/*
 * Page de fonctions JavaScript afférentes à l'affichage dynamique d'éléments.
 **/

/*
 * Fonction permettant d'afficher et de masquer le bouton d'enregistrement d'un changement d'état pour les alias virtuels, domaines et entrées de liste noire d'un utilisateur.
 **/
const listedesentrees = [];

function activationBoutonFlotant(lui) {
  if (listedesentrees.find(function(valeur) {return valeur == lui.name;})) {
    for( var i = 0; i < listedesentrees.length; i++){
      if ( listedesentrees[i] === lui.name) {
          listedesentrees.splice(i, 1);
          break;
      }
    }
  } else {
    listedesentrees.push(lui.name);
  }

  if (listedesentrees.length > 0){
    document.getElementById("enregistrer-interrupteur").classList.remove("desactiver");
    document.getElementById("enregistrer-interrupteur").style.display = "block";
  }else{
    document.getElementById("enregistrer-interrupteur").classList.add("desactiver");
  }
}
